version: "3.4"
services: 
  csharp:
    container_name: csharp # image name
    image: cruxlight/csharp_sdk:1.0.0
    build:
      context: ./c#
      target: prod
    volumes:
      - ./c#/src/:/work
    ports:
      - 5500:5000
  golang:
    container_name: golang
    image: cruxlight/golang_sdk:1.0.0
    build: 
      context: ./golang
      target: prod
    volumes:
      - ./golang/src/:/work
    ports:
      - 5501:5000
  nodejs:
    container_name: nodejs
    image: cruxlight/nodejs:1.0.0
    build: 
      context: ./nodejs
      target: prod
    volumes:
      - ./nodejs/src/:/work
    ports:
      - 5502:5000
  python: #docker run -it -v ${PWD}:/work -w /work -p 5003:5000 aimvector/python:1.0.0 /bin/sh
    container_name: python
    image: cruxlight/python:1.0.0
    build: 
      context: ./python
      target: prod
    volumes:
      - ./python/src/:/work
    ports:
      - 5503:5000
  first-public-dockerhub-image:
    container_name: first-public-dockerhub-image
    image: cruxlight/first-public-dockerhub-image:latest
    build: ./first-public-dockerhub-image